{ pkgs ? import <nixpkgs> { }, self }:
with pkgs;
assert lib.versionAtLeast go.version "1.16";
let
    version = "0.0.1";
    deps = [
        gst_all_1.gstreamer
        gst_all_1.gstreamer.dev
        gst_all_1.gst-plugins-base
        gst_all_1.gst-plugins-good
        gst_all_1.gst-plugins-bad
        gst_all_1.gst-plugins-ugly
        protoc-gen-go
    ];
    nativeDeps = [
        gcc
        pkg-config
    ];
in
pkgs.buildGo117Module {
  pname = "gstreamer-grafix";
  inherit version;

  src = self;

  buildInputs = [
  ] ++deps;
  nativeBuildInputs = [
  ] ++nativeDeps;

  tags = [ ];

  allowGoReference = true;

  #vendorSha256 = lib.fakeSha256;
  vendorSha256 = "sha256-Hhrhi/TBTo9pS6A5F4Q3LeJnW0z/ajN6jg5EAdo8dgA=";

  #meta = {
  #  description = "An MVC framework in Go, inspired by Ruby on Rails";
  #  homepage = "https://gobuffalo.io";
  #};
}